<?php
// Load wordpress
require( dirname(__FILE__) . '/wp-load.php' );
global $wpdb;

// TESTIMONIOS
$table = $wpdb->prefix . 'posts';
$table2 = $wpdb->prefix . 'postmeta';
$table3 = $wpdb->prefix . 'comments';
$table4 = $wpdb->prefix . 'commentmeta';
$total_cont = 0;

$fam=0; $ref=0; $sin=0; $tra=0;
$puntosfam=0; $puntosref=0; $puntossin=0; $puntostra=0;

$res_testim = $wpdb->get_results ('SELECT p.ID, p.post_title, pm.meta_value FROM '. $table .' p
INNER JOIN '.$table2.' pm ON p.ID = pm.post_id AND pm.meta_key="iron-estado" ORDER BY p.ID');

echo mysql_error();

$ntestim = count($res_testim);
echo '<b>n: '.$ntestim.'</b><br />';

if ($ntestim>0) {
	foreach ($res_testim as $testim) {
		$totalcom = 0;
		$fam=0; $ref=0; $sin=0; $tra=0;
		$puntosfam=0; $puntosref=0; $puntossin=0; $puntostra=0;

		// (1) Puntos otorgados por estado de creación (*1)
		if ($testim->meta_value =='familiares') { $puntosfam = 1; }
		elseif ($testim->meta_value =='reflexivos') { $puntosref = 1; }
		elseif ($testim->meta_value =='sintomaticos') { $puntossin = 1; }
		elseif ($testim->meta_value =='transgresores') { $puntostra = 1; }

		// (2) Puntos otorgados por estado de los comentarios (*2)
		$res_comm = $wpdb->get_results ('SELECT c.user_id, c.comment_post_ID, c.comment_ID, cm.meta_value FROM '. $table3 .' c
		INNER JOIN '.$table4.' cm ON c.comment_ID = cm.comment_id AND cm.meta_key="ironestado"
		WHERE c.comment_post_ID='.$testim->ID.' ORDER BY c.comment_ID');

		$totalcom = count($res_comm);

		if (count($res_comm)>0) {
			foreach ($res_comm as $comment) {
				$user_mood = xprofile_get_field_data( 'EstadoAnimo', $comment->user_id);
				if ($user_mood == 'familiares')
					$fam++;
				elseif ($user_mood == 'reflexivos')
					$ref++;
				elseif ($user_mood == 'sintomaticos')
					$sin++;
				elseif ($user_mood == 'transgresores')
					$tra++;
			}
		}

		$puntosfam += $fam*2;
		$puntosref += $ref*2;
		$puntossin += $sin*2;
		$puntostra += $tra*2;

		$estado = array(
		'fam' => $puntosfam,
		'ref' => $puntosref,
		'sin' => $puntossin,
		'tra' => $puntostra);

		arsort($estado);

		echo 'id: '. $testim->ID;
		echo '&nbsp;|&nbsp;'. $testim->post_title;
		echo '<br />estado: '. $testim->meta_value;
		echo '&nbsp;|&nbsp;comments: '. $totalcom;
		echo '&nbsp;|&nbsp;calc: '. key($estado);
		echo '<br /><br />';

		// En key($estado) esta el estadoanimo calculado
	}
}
?>